### Enumeration

# Qmi VoiceSupplementaryServiceType

since: 1.30

#### Declaration

    enum Qmi.VoiceSupplementaryServiceType

#### Description [src]

Supplementary service type during call.

Available since: 1.30

#### Members

`QMI_VOICE_SUPPLEMENTARY_SERVICE_TYPE_RELEASE_HELD_OR_WAITING`

  Release held or waiting call.

  - Value: `1`
  - Available since: 1.30
`QMI_VOICE_SUPPLEMENTARY_SERVICE_TYPE_RELEASE_ACTIVE_ACCEPT_HELD_OR_WAITING`

  Release active call and accept held or waiting call.

  - Value: `2`
  - Available since: 1.30
`QMI_VOICE_SUPPLEMENTARY_SERVICE_TYPE_HOLD_ACTIVE_ACCEPT_WAITING_OR_HELD`

  Hold active call and accept held or waiting call.

  - Value: `3`
  - Available since: 1.30
`QMI_VOICE_SUPPLEMENTARY_SERVICE_TYPE_HOLD_ALL_EXCEPT_SPECIFIED_CALL`

  Hold all calls except specified call.

  - Value: `4`
  - Available since: 1.30
`QMI_VOICE_SUPPLEMENTARY_SERVICE_TYPE_MAKE_CONFERENCE_CALL`

  Create conference call.

  - Value: `5`
  - Available since: 1.30
`QMI_VOICE_SUPPLEMENTARY_SERVICE_TYPE_EXPLICIT_CALL_TRANSFER`

  Explicit call transfer.

  - Value: `6`
  - Available since: 1.30
`QMI_VOICE_SUPPLEMENTARY_SERVICE_TYPE_CCBS_ACTIVATION`

  Activate completion of calls to busy subscriber.

  - Value: `7`
  - Available since: 1.30
`QMI_VOICE_SUPPLEMENTARY_SERVICE_TYPE_END_ALL_CALLS`

  End all calls.

  - Value: `8`
  - Available since: 1.30
`QMI_VOICE_SUPPLEMENTARY_SERVICE_TYPE_RELEASE_SPECIFIED_CALL`

  Release a specified call.

  - Value: `9`
  - Available since: 1.30
`QMI_VOICE_SUPPLEMENTARY_SERVICE_TYPE_LOCAL_HOLD`

  Put all active calls to hold.

  - Value: `10`
  - Available since: 1.30
`QMI_VOICE_SUPPLEMENTARY_SERVICE_TYPE_LOCAL_UNHOLD`

  Unhold all held calls.

  - Value: `11`
  - Available since: 1.30

#### Type functions

###### qmi_voice_supplementary_service_type_get_string

Gets the nickname string for the `QmiVoiceSupplementaryServiceType` specified at `val`.

since: 1.30